Package docking

# Class ErrLogDialog

java.lang.Object
docking.DialogComponentProvider
docking.ReusableDialogComponentProvider
docking.AbstractErrDialog
docking.ErrLogDialog

All Implemented Interfaces:
  `ActionContextProvider`, `StatusListener`, `TaskListener`

public class ErrLogDialog extends AbstractErrDialog
A dialog that takes error text and displays it with an option details button. If there is an `ErrorReporter`, then a button is provided to report the error.

- ## Field Summary

  ### Fields inherited from class docking.AbstractErrDialog

  `MAX_EXCEPTIONS`

  ### Fields inherited from class docking.DialogComponentProvider

  `applyButton, buttonPanel, cancelButton, dismissButton, okButton, rootPanel`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `cancelCallback()`
  The callback method for when the "Cancel" button is pressed.
  `static ErrLogDialog`
  `createExceptionDialog(String title, String message, Throwable t)`
  `protected void`
  `dialogShown()`
  Override this method if you want to do something when the dialog is made visible
  `static ErrorReporter`
  `getErrorReporter()`
  `String`
  `getMessage()`
  Returns the string message of this error dialog
  `protected void`
  `okCallback()`
  The callback method for when the "OK" button is pressed.
  `static void`
  `setErrorReporter(ErrorReporter errorReporter)`

  ### Methods inherited from class docking.AbstractErrDialog

  `dialogClosed`

  ### Methods inherited from class docking.ReusableDialogComponentProvider

  `close, dispose`

  ### Methods inherited from class docking.DialogComponentProvider

  `addAction, addApplyButton, addButton, addCancelButton, addDismissButton, addOKButton, addWorkPanel, alertMessage, alertMessage, applyCallback, cancelCurrentTask, clearScheduledTask, clearStatusText, closeDialog, createSharedActions, dismissCallback, doInitialize, escapeCallback, executeProgressTask, getActionContext, getActions, getBackground, getBounds, getComponent, getDefaultButton, getDefaultSize, getDialogSize, getFocusComponent, getGlassPane, getHelpLocation, getId, getInitialLocation, getLocationOnScreen, getParent, getPreferredSize, getRememberLocation, getRememberSize, getStatusColor, getStatusLabel, getStatusText, getTaskMonitorComponent, getTaskScheduler, getTitle, getUseSharedLocation, hideTaskMonitorComponent, isApplyEnabled, isCancelEnabled, isDialogKeyBindingAction, isModal, isOKEnabled, isResizeable, isRunningTask, isShowing, isTransient, isVisible, notifyContextChanged, removeAction, removeButton, removeWorkPanel, repack, setAccessibleDescription, setApplyEnabled, setApplyToolTip, setBackground, setCancelButtonText, setCancelEnabled, setCancelToolTip, setCursor, setDefaultButton, setDefaultSize, setDialogSize, setDismissToolTip, setFocusComponent, setGlassPane, setHelpLocation, setInitialLocation, setMinimumSize, setMinimumSize, setOkButtonText, setOkEnabled, setOkToolTip, setPreferredSize, setRememberLocation, setRememberSize, setResizable, setStatusJustification, setStatusText, setStatusText, setStatusText, setTitle, setTransient, setUseSharedLocation, showProgressBar, showTaskMonitorComponent, stopProgressTimer, taskCancelled, taskCompleted, toFront, toString, waitForCurrentTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### createExceptionDialog

    public static ErrLogDialog createExceptionDialog(String title, String message, Throwable t)

  - ### setErrorReporter

    public static void setErrorReporter(ErrorReporter errorReporter)

  - ### getErrorReporter

    public static ErrorReporter getErrorReporter()

  - ### cancelCallback

    protected void cancelCallback()
    Description copied from class: `DialogComponentProvider`
    The callback method for when the "Cancel" button is pressed. The default behavior is to call setVisible(false) and dispose() on the dialog.
    Overrides:
      `cancelCallback` in class `DialogComponentProvider`

  - ### okCallback

    protected void okCallback()
    Description copied from class: `DialogComponentProvider`
    The callback method for when the "OK" button is pressed.
    Overrides:
      `okCallback` in class `DialogComponentProvider`

  - ### getMessage

    public String getMessage()
    Description copied from class: `AbstractErrDialog`
    Returns the string message of this error dialog
    Specified by:
      `getMessage` in class `AbstractErrDialog`
    Returns:
      the message

  - ### dialogShown

    protected void dialogShown()
    Description copied from class: `DialogComponentProvider`
    Override this method if you want to do something when the dialog is made visible
    Overrides:
      `dialogShown` in class `DialogComponentProvider`